%define	module	Config-General
%define	name	perl-%{module}
%define version 2.38
%define	release	%mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Generic Config perl module
License:	GPL or Artistic
Group:		Development/Perl
Url:            http://search.cpan.org/dist/%{module}
Source:         http://www.cpan.org/modules/by-module/Config/%{module}-%{version}.tar.bz2
%if %{mdkversion} < 1010
Buildrequires:	perl-devel
%endif
BuildArch:	    noarch
BuildRoot:	    %{_tmppath}/%{name}-%{version}

%description
This module opens a config file and parses it's contents for you. The
method new requires one parameter which needs to be a filename. The
method getall returns a hash which contains all options and it's
associated values of your config file.

%prep
%setup -q -n %{module}-%{version}
chmod 644 Changelog README

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changelog README
%{perl_vendorlib}/Config
%{_mandir}/man3/*




%changelog
* Mon Mar 03 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.38-1mdv2008.1
+ Revision: 177902
- update to new version 2.38

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Nov 27 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.37-1mdv2008.1
+ Revision: 113420
- update to new version 2.37
- update to new version 2.37

* Sun Oct 21 2007 Funda Wang <fundawang@mandriva.org> 2.36-1mdv2008.1
+ Revision: 100834
- update to new version 2.36

* Tue May 01 2007 Olivier Thauvin <nanardon@mandriva.org> 2.33-1mdv2008.0
+ Revision: 19811
- 2.33


* Fri Mar 09 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.32-1mdv2007.1
+ Revision: 138794
- new version
- Import perl-Config-General

* Fri Jan 20 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.31-1mdk
- New release 2.31

* Thu Sep 22 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.30-1mdk
- New release 2.30
- fix source URL
- don't ship empty directories
- make test in %%check
- fix doc files perms
- non-redundant summary

* Fri Jun 03 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.29-1mdk
- 2.29

* Sat May 28 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.28-1mdk
- 2.28
- Make rpmbuildable

* Wed Feb 09 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.27-2mdk
- rebuild for new perl

* Sun Jun 20 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.27-1mdk
- 2.27

* Tue Mar 30 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.26-1mdk
- 2.26

